Package nl.tudelft.simulation.dsol.animation.gis

## Class SerializablePath

- java.lang.Object
- - java.awt.geom.Path2D
  - - java.awt.geom.Path2D.Float
    - - nl.tudelft.simulation.dsol.animation.gis.SerializablePath

All Implemented Interfaces:
  `Shape`, `Serializable`, `Cloneable`

    public class SerializablePath
    extends Path2D.Float
    implements Serializable, Shape, Cloneable

The SerializablePath class is a serializable version of the `java.awt.geom.Path2D.Float` class.

Copyright (c) 2020-2020 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information DSOL Manual. The DSOL project is distributed under a three-clause BSD-style license, which can be found at DSOL License.

Author:
  Alexander Verbraeck
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.awt.geom.Path2D

`Path2D.Double, Path2D.Float`

### Field Summary

### Fields inherited from class java.awt.geom.Path2D

`WIND_EVEN_ODD, WIND_NON_ZERO`

### Constructor Summary

Constructors
`SerializablePath()` Construct a default general path that can be serialized.

### Method Summary

### Methods inherited from class java.awt.geom.Path2D.Float

`append, clone, curveTo, curveTo, getBounds2D, getPathIterator, lineTo, lineTo, moveTo, moveTo, quadTo, quadTo, transform, trimToSize`

### Methods inherited from class java.awt.geom.Path2D

`append, closePath, contains, contains, contains, contains, contains, contains, contains, contains, createTransformedShape, getBounds, getCurrentPoint, getPathIterator, getWindingRule, intersects, intersects, intersects, intersects, reset, setWindingRule`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.awt.Shape

`contains, contains, contains, contains, getBounds, getBounds2D, getPathIterator, getPathIterator, intersects, intersects`

### Constructor Detail

#### SerializablePath

    public SerializablePath()

Construct a default general path that can be serialized.